<?php

/*
  PHP version 5
  Copyright (c) 2002-2019ECISP.CN、EarcLink.COM
  警告：这不是一个免费的软件，请在许可范围内使用，请尊重知识产权，侵权必究，举报有奖
  作者：黄祥云 E-mail:6326420@qq.com  QQ:6326420 TEL:18665655030 / 13797552220
*/




namespace admin_application\link;

class TemplatesLink {

	public static function TemplateFile_link_array($linkcode = false, $array = array()) {
		$link_array = array();
		$action_key['act'] = 'TemplateFile/listTemplateFile';
		$link_array['index'] = linkOut($action_key);
		$action_key_list['act'] = 'TemplateFile/listTemplateFile';
		$action_key_list['out_type'] = 'list';
		$link_array['list'] = linkOut($action_key_list);
		$action_key_edit['act'] = 'TemplateFile/editTemplateFile';
		$action_key_edit['open_path'] = $array['open_path'];
		$action_key_edit['open_type'] = $array['template_type'];
		$action_key_edit['open_file'] = $array['basename'];
		$action_key_edit['type'] = $array['type'];
		$link_array['edit'] = linkOut($action_key_edit);
		$action_key['act'] = 'TemplateFile/saveTemplateFile';
		$link_array['save'] = linkOut($action_key);
		$action_key['act'] = 'TemplateFile/delTemplateFile';
		$link_array['del'] = linkOut($action_key);
		$action_key['act'] = 'TemplateFile/verifyTemplateFile';
		$link_array['verify'] = linkOut($action_key);
		$action_key_select['act'] = 'TemplateFile/selectTemplates';
		$link_array['select'] = linkOut($action_key_select);
		return $linkcode ? $link_array[$linkcode] : $link_array;
	}

	public static function MailTemplate_link_array($linkcode = false, $array = array()) {
		$link_array = array();
		$action_key['act'] = 'MailTemplate/listMailTemplate';
		$link_array['index'] = linkOut($action_key);
		$action_key_list['act'] = 'MailTemplate/listMailTemplate';
		$action_key_list['out_type'] = 'list';
		$link_array['list'] = linkOut($action_key_list);
		$action_key['act'] = 'MailTemplate/addMailTemplate';
		$link_array['add'] = linkOut($action_key);
		$action_key_edit['act'] = 'MailTemplate/editMailTemplate';
		$action_key_edit['tmid'] = $array['tmid'];
		$action_key_edit['type'] = $array['type'];
		$link_array['edit'] = linkOut($action_key_edit);
		$action_key['act'] = 'MailTemplate/saveMailTemplate';
		$link_array['save'] = linkOut($action_key);
		$action_key['act'] = 'MailTemplate/delMailTemplate';
		$link_array['del'] = linkOut($action_key);
		$action_key['act'] = 'MailTemplate/setMailTemplate';
		$link_array['set'] = linkOut($action_key);
		$action_key_select['act'] = 'MailTemplate/selectMailTemplates';
		$link_array['select'] = linkOut($action_key_select);
		$action_key['act'] = 'MailTemplate/verifyMailTemplate';
		$link_array['verify'] = linkOut($action_key);
		$action_key['act'] = 'MailTemplate/keyMailTemplate';
		$action_key['key'] = $array['key'];
		$link_array['key'] = linkOut($action_key);
		return $linkcode ? $link_array[$linkcode] : $link_array;
	}

	public static function MoblieTemplate_link_array($linkcode = false, $array = array()) {
		$link_array = array();
		$action_key['act'] = 'MoblieTemplate/listMoblieTemplate';
		$link_array['index'] = linkOut($action_key);
		$action_key_list['act'] = 'MoblieTemplate/listMoblieTemplate';
		$action_key_list['out_type'] = 'list';
		$link_array['list'] = linkOut($action_key_list);
		$action_key['act'] = 'MoblieTemplate/addMoblieTemplate';
		$link_array['add'] = linkOut($action_key);
		$action_key_edit['act'] = 'MoblieTemplate/editMoblieTemplate';
		$action_key_edit['tmid'] = $array['tmid'];
		$action_key_edit['type'] = $array['type'];
		$link_array['edit'] = linkOut($action_key_edit);
		$action_key['act'] = 'MoblieTemplate/saveMoblieTemplate';
		$link_array['save'] = linkOut($action_key);
		$action_key['act'] = 'MoblieTemplate/delMoblieTemplate';
		$link_array['del'] = linkOut($action_key);
		$action_key['act'] = 'MoblieTemplate/setMoblieTemplate';
		$link_array['set'] = linkOut($action_key);
		$action_key_select['act'] = 'MoblieTemplate/selectMoblieTemplates';
		$link_array['select'] = linkOut($action_key_select);
		$action_key['act'] = 'MoblieTemplate/verifyMoblieTemplate';
		$link_array['verify'] = linkOut($action_key);
		$action_key['act'] = 'MoblieTemplate/keyMoblieTemplate';
		$action_key['key'] = $array['key'];
		$link_array['key'] = linkOut($action_key);
		return $linkcode ? $link_array[$linkcode] : $link_array;
	}

}
